# infrastructure/vault-csi/secrets-store-csi-driver.yaml
apiVersion: helm.toolkit.fluxcd.io/v2
kind: HelmRelease
metadata:
  name: secrets-store-csi-driver
  namespace: kube-system
spec:
  interval: 15m
  chart:
    spec:
      chart: secrets-store-csi-driver
      version: "~1.3.0"
      sourceRef:
        kind: HelmRepository
        name: secrets-store-csi-driver
        namespace: flux-system
  values:
    syncSecret:
      enabled: true
    enableSecretRotation: true
    rotationPollInterval: 2m
